
package com.dxhy.manage.service;

import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.common.utils.PageUtils;
import com.dxhy.manage.entity.SysConfigEntity;

/**
 * 系统配置信息
 *
 * @author jiaohongyang
 */
public interface SysConfigService extends IService<SysConfigEntity> {
    /**
     * 查询配置信息
     *
     * @param params
     *            入参
     * @return 返回
     */
    PageUtils queryPage(Map<String, Object> params);

    /**
     * 保存配置信息
     *
     * @param config
     *            配置信息
     */
    void saveConfig(SysConfigEntity config);

    /**
     * 更新配置信息
     *
     * @param config
     *            * 配置信息
     */
    void update(SysConfigEntity config);

    /**
     * 根据key，更新value
     *
     * @param key
     *            key
     * @param value
     *            value
     */
    void updateValueByKey(String key, String value);

    /**
     * 删除配置信息
     *
     * @param id
     *            id
     *
     */
    void delete(Long id);

    /**
     * 获取配置信息
     *
     * @param code
     *            code
     * @return 返回
     */
    SysConfigEntity queryCode(String code);

    /**
     * 获取配置信息
     *
     * @param id
     *            id
     * @return 返回
     */
    SysConfigEntity queryConfigById(Long id);

}
